@import '../variables.scss';

.projects {
    padding-bottom: 200px;
    
    &__wrapper {
        background-image: url('/src/assets/img/projects-bg.jpg');
        background-position: left bottom;
        background-repeat: no-repeat;
        background-size: cover;
        padding-bottom: 100px;

        @media (max-width: 1200px) {
            background-image: none;
            background-color: $primary-bg;
        }

        @media (max-width: 561px) {
            padding-top: 0px;
        }
    }

    &__slider {
        padding-bottom: 300px;
        margin-left: 7%;

        @media (max-width: 1200px) {
            flex-direction: column;
            align-items: center;
        }

    @media (max-width: 561px) {
        margin-left: 0;
}
    }

    &__menu-list {
        display: flex;
    }

    .swiper-custom-bullet {
        width: 100%;
        margin-right: 60px;
        font-family: 'Yeseva One';
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 19px;
        text-transform: uppercase;
        color:$primary-color-text-opacity;
        cursor: pointer;

        &--active {
            
        }
    }

    &__title {
        font-family: 'Yeseva One';
        color: $primary-color-text-extra;
        font-style: normal;
        font-weight: normal;
        font-size: 27px;
        line-height: 37px;
        letter-spacing: -0.07em;
        width: 100%;
        text-transform: uppercase;
        position: relative;

        &::after {
            content: '';
            position: absolute;
            width: 92px;
            height: 1.5px;
            background-color: $primary-color-text-extra;
            left: 160px;
            top: 80%;
        }

        @media (max-width: 561px) {
            text-align: center;
            font-size: 22px;
            line-height: 138.6%;
            margin-top: 35px;
            &::after {
                display: none;
            }
        }
    }

    &__desc {
        font-family: 'FuturaBookC';
        font-size: 18px;
        line-height: 29px;
        width: 85%;
        margin-top: 23px;
        margin-bottom: 42px;

        @media (max-width: 1200px) {
            width: 100%;
        }

        @media (max-width: 561px) {
            width: 91%;
            font-size: 14px;
            line-height: 158.48%;
            text-align: center;
            margin: 0 auto;
            margin-top: 20px;
        }
    }

    &__desc-param {
        margin-top: 35px;
        display: flex;
        flex-wrap: wrap;
        width: 100%;
    }

    &__desc-item {
         width: 50%;
         padding-right: 10px;
         margin-bottom: 40px;
    }

    &__desc-name {
        font-family: 'Yeseva One';
        font-style: normal;
        font-weight: normal;
        font-size: 18px;
        line-height: 25px;
        text-transform: uppercase;
        color: $primary-color-text-extra;
        @media (max-width: 375px) {
            font-size: 14px;
            line-height: 138.6%;
        }
    }

    &__desc-value {
        font-family: 'FuturaBookC';
        margin-top: 3px;
        font-size: 15px;
        line-height: 20px;
        color: $primary-color-text;
        @media (max-width: 375px) {
            font-size: 14px;
            line-height: 138.6%;
        }
    }

    &__arrows-block {
        margin-top: 50px;
        display: flex;
        justify-content: space-between;
        width: 210px;
    }

    &__arrow {

    }
}

//slider 

.slider__arrow-l {
    cursor: pointer;
    background-image: url(/src/assets/svg/arrow-l.svg);
    width: 41px;
    height: 14px;
    background-position: center;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: cover;
    border: none;

    &:hover {
        opacity: 0.5;
    }
}

.slider__arrow-r {
    cursor: pointer;
    background-image: url(/src/assets/svg/arrow-r.svg);
    width: 41px;
    height: 14px;
    background-position: center;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: cover;
    border: none;

    &:hover {
        opacity: 0.5;
    }
}

.slider-data {
    height: 100%;
    width: 100%;
    overflow: hidden;
    position: relative;

    &__param {
        width: 35%;
        padding-top: 70px;

        @media (max-width: 1201px) {
            width: 80%;
        }

        @media (max-width: 561px) {
            padding: 5px 17px 0  17px;
        }

        @media (max-width: 376px) {
        width: 100%;
        
        }
    }

    &__slide {
        height: 100%;
    }

    &__pagination {
        display: flex;
        justify-content: space-between;
        width: 90px;
        align-items: center;

        .swiper-pagination-bullets {
            
        }
        .swiper-pagination-bullet {
            cursor: pointer;
            width: 10px;
            height: 10px;
            opacity: 1;
            background-color: $primary-color-text-opacity;
            margin: 0 10px;

            &:hover {
                background-color: $primary-color-text;
                opacity: 0.5;
            }
        }

        .swiper-pagination-bullet-active {
            background-color: $primary-color-text;

            &:hover {
                background-color: $primary-color-text;
                opacity: 0.9;
            }
        }
    }
}

.slide-inner {
    display: flex;
    justify-content: space-between;
    @media (max-width: 1201px) {
        flex-direction: column;
        align-items: center;
}
}

.pagination-block {
    display: flex;
    justify-content: space-between;
    max-width: 200px;
    align-items: center;

    @media (max-width: 1201px) {
            display: none;
    }
}

.slider-data-block {
    width: 100%;
    overflow: hidden;
    height: 50%;
    display: flex;
    justify-content: space-between;
   
    @media (max-width: 1201px) {
        padding-top: 0;
        // margin-right: 0;
        width: 100%;
        margin: 0 auto;

    }
}

.image-slider-arrow-r {
    position: absolute;
    top: 45%;
    right: 2%;
    z-index: 999;
    cursor: pointer;
    background-image: url(/src/assets/svg/slider-arrow-r.svg);
    width: 72px;
    height: 72px;
    background-position: center;
    background-color: transparent;
    background-repeat: no-repeat;
    border: none;

    &:hover {
        opacity: 0.8;
    }

    @media (max-width: 721px) {
        top: 35%;
    }
}

.image-slider-arrow-l {
    position: absolute;
    top: 45%;
    left: 2%;
    z-index: 999;
    transform: rotate(180deg);
    cursor: pointer;
    background-image: url(/src/assets/svg/slider-arrow-r.svg);
    width: 72px;
    height: 72px;
    background-position: center;
    background-color: transparent;
    background-repeat: no-repeat;
    border: none;

    &:hover {
        opacity: 0.8;
    }

    @media (max-width: 721px) {
        top: 35%;
    }
}

/// slider img
.slider-img {
    height: 100%;
    max-width: 845px;
    overflow: hidden;
    position: relative;

    @media (max-width: 1201px) {
        max-width: 100%;
    }

    @media (max-width: 1201px) {
        width: 100%;
        padding: 0 18px;
        }
    
    &__slide {
        height: 100%;
        max-width: 100%;
        img {
            max-width: 100%;
        }
    }

    &__pagination {
        display: flex;
        width: 90px;
        align-items: center;

        .swiper-pagination-bullets {
            width: 210px;
        }

        .swiper-pagination-bullet {
            width: 10px;
            height: 10px;
            opacity: 1;
            background-color: $primary-color-text-opacity;
            margin: 0 10px;
        }

        .swiper-pagination-bullet-active {
            background-color: $primary-color-text;
        }
    }
}

.swiper-pagination-img {
    max-width: 80%;
    display: flex;
    justify-content: space-between;
    margin-bottom: 45px;
    @media (max-width: 1201px) {
        display: none;
    }

    .swiper-pagination-bullet {
        display: inline;
        text-align: center;
        margin: 0;
        width: auto;
        height: auto;
        font-family: 'Yeseva One';
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 19px;
        text-transform: uppercase;
        color: $primary-color-text-opacity;
        background-color: rgba(255, 255, 255, 0.0);
        cursor: pointer;

        &:hover {
            color: $primary-color-text-extra;
            opacity: 0.5;
        }
    }
    
    .swiper-pagination-bullet-active {
        font-family: 'Yeseva One';
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 19px;
        text-transform: uppercase;
        color: $primary-color-text-extra;
        background-color: rgba(255, 255, 255, 0.0);
        border-radius: 0;
        border-bottom: 1px solid $primary-color-text-extra;
    }
}